## Disabled Fonts

Disabled Fonts — Fontconfig font selection configuration

## Functions

FontManagerReject * | font_manager_reject_new ()
FontManagerStringSet * | font_manager_reject_get_rejected_files ()

## Types and Values

#define | FONT_MANAGER_TYPE_REJECT
struct | FontManagerRejectClass
| FontManagerReject

## Object Hierarchy

        GObject
        ╰── FontManagerStringSet
            ╰── FontManagerSelections
                ╰── FontManagerReject

## Includes

    #include <font-manager-reject.h>

## Description

Set of font families that should be excluded from the set of fonts used to resolve list and match requests as if they didn't exist in the system.

## Functions

### font_manager_reject_new ()

    FontManagerReject *
    font_manager_reject_new (void);

#### Returns

A newly created FontManagerReject. Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_reject_get_rejected_files ()

    FontManagerStringSet *
    font_manager_reject_get_rejected_files
                                   (FontManagerReject *self,
                                    FontManagerDatabase *db,
                                    GError **error);

#### Parameters

self | FontManagerReject |
db | FontManagerDatabase |
error | GError or `NULL` to ignore errors |

#### Returns

A set of filepaths for all currently blacklisted fonts or `NULL` if there was an error. Free the returned object using ``g_object_unref()``.

[transfer full][nullable]

## Types and Values

### FONT_MANAGER_TYPE_REJECT

    #define FONT_MANAGER_TYPE_REJECT (font_manager_reject_get_type ())

### struct FontManagerRejectClass

    struct FontManagerRejectClass {
        FontManagerSelectionsClass parent_instance;
    };

### FontManagerReject

    typedef struct _FontManagerReject FontManagerReject;